Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.emailFwd
Class EPPEmailFwdCheckCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPCheckCmd
              com.verisign.epp.codec.emailFwd.EPPEmailFwdCheckCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPEmailFwdCheckCmd

extends EPPCheckCmd

Represents an EPP EmailFwd <check> command, which is used to determine if a emailFwd name is known to the server. The <emailFwd:check> element MUST contain the following child elements:

- One or more (up to a maximum of sixteen) <emailFwd:name> elements that contain the fully qualified name of the queried emailFwds. Use `getNames` and `setNames` to get and set the elements. Use `setName` to set an individual name.

`EPPEmailFwdCheckResp` is the concrete `EPPReponse` associated with `EPPEmailFwdCheckCmd`.

See Also:
  `EPPEmailFwdCheckResp`, Serialized Form

Field Summary
`static int` | `MAX_EMAILFWDS` Maximum number of emailFwds to check at once.

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPEmailFwdCheckCmd()` `EPPEmailFwdCheckCmd` default constructor.
`EPPEmailFwdCheckCmd(java.lang.String aTransId, java.lang.String aName)` `EPPEmailFwdCheckCmd` constructor that will check an individual emailFwd name.
`EPPEmailFwdCheckCmd(java.lang.String aTransId, java.util.Vector someNames)` `EPPEmailFwdCheckCmd` constructor that will check a list of emailFwd names.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPEmailFwdCheckCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPEmailFwdCheckCmd` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPEmailFwdCheckCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPEmailFwdCheckCmd` with this instance.
`java.util.Vector` | `getNames()` Gets emailFwd names to check.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPEmailFwdCheckCmd`.
`void` | `setName(java.lang.String aName)` Sets emailFwd name to check.
`void` | `setNames(java.util.Vector someNames)` Sets emailFwd names to check.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPCheckCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_EMAILFWDS

    public static final int MAX_EMAILFWDS

  Maximum number of emailFwds to check at once.

  See Also:
    Constant Field Values

Constructor Detail

### EPPEmailFwdCheckCmd

    public EPPEmailFwdCheckCmd()

  `EPPEmailFwdCheckCmd` default constructor. It will set the names attribute to an empty `Vector`.

### EPPEmailFwdCheckCmd

    public EPPEmailFwdCheckCmd(java.lang.String aTransId,
                               java.lang.String aName)

  `EPPEmailFwdCheckCmd` constructor that will check an individual emailFwd name.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aName` - EmailFwd name to check

### EPPEmailFwdCheckCmd

    public EPPEmailFwdCheckCmd(java.lang.String aTransId,
                               java.util.Vector someNames)

  `EPPEmailFwdCheckCmd` constructor that will check a list of emailFwd names.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `someNames` - `Vector` of emailFwd name `String` instances.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPEmailFwdCheckCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPEmailFwdMapFactory.NS`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPEmailFwdCheckCmd` with this instance.

  Overrides:
    `equals` in class `EPPCheckCmd`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPEmailFwdCheckCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    Deep copy clone of `EPPEmailFwdCheckCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets emailFwd name to check.

  Parameters:
    `aName` - Name to check.

### getNames

    public java.util.Vector getNames()

  Gets emailFwd names to check.

  Returns:
    Vector of emailFwd name `String`'s.

### setNames

    public void setNames(java.util.Vector someNames)

  Sets emailFwd names to check.

  Parameters:
    `someNames` - Names to check.

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPEmailFwdCheckCmd` instance.

  Specified by:
    `doEncode` in class `EPPCheckCmd`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPEmailFwdCheckCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPEmailFwdCheckCmd` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPEmailFwdCheckCmd` attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPCheckCmd`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPEmailFwdCheckCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.